﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;

namespace HeaderImage
{
    class TextAlignmentToHorizontalAlignmentConverter:IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            TextAlignment textAlign =(TextAlignment)value;
            HorizontalAlignment horizontalAlignment = HorizontalAlignment.Stretch;
            switch (textAlign)
            {
                case TextAlignment.Center:
                    {
                        horizontalAlignment = HorizontalAlignment.Center;
                        break;
                    }
                case TextAlignment.Left:
                    {
                        horizontalAlignment = HorizontalAlignment.Left;
                        break;
                    }
                case TextAlignment.Right:
                    {
                        horizontalAlignment = HorizontalAlignment.Right;
                        break;
                    }
                case TextAlignment.Justify:
                    {
                        horizontalAlignment = HorizontalAlignment.Stretch;
                        break;
                    }
            }
            return horizontalAlignment;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
